# class Gitlab::Logger

### Public Class Methods

build() click to toggle source

    # File lib/gitlab/logger.rb, line 17
    def self.build
      new(Rails.root.join("log", file_name))
    end

error(message) click to toggle source

    # File lib/gitlab/logger.rb, line 3
    def self.error(message)
      build.error(message)
    end

info(message) click to toggle source

    # File lib/gitlab/logger.rb, line 7
    def self.info(message)
      build.info(message)
    end

read_latest() click to toggle source

    # File lib/gitlab/logger.rb, line 11
    def self.read_latest
      path = Rails.root.join("log", file_name)
      self.build unless File.exist?(path)
      logs = File.read(path).split("\n")
    end